For discussion of Alpine Linux development and developer support

[alpine-devel] [PATCH] testing/ilmbase new aport

k0r10n
Details
Message ID
<1412506876-10484-1-git-send-email-k0r10n.dev@gmail.com>
Sender timestamp
1412506876
DKIM signature
missing
Download raw message
Patch: +43 -0
---
 testing/ilmbase/APKBUILD | 43 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)
 create mode 100644 testing/ilmbase/APKBUILD

diff --git a/testing/ilmbase/APKBUILD b/testing/ilmbase/APKBUILD
new file mode 100644
index 0000000..0dd4405
--- /dev/null
+++ b/testing/ilmbase/APKBUILD
@@ -0,0 +1,43 @@
+# Contributor:
+# Maintainer:
+pkgname=ilmbase
+pkgver=2.1.0
+pkgrel=0
+pkgdesc="Base libraries from ILM for OpenEXR"
+url="http://www.openexr.com"
+arch="all"
+license="custom"
+depends="libgcc"
+depends_dev="${depends} bash"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://download.savannah.nongnu.org/releases/openexr/${pkgname}-${pkgver}.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+	find "$pkgdir" -name '*.la' -delete
+}
+
+md5sums="8ba2f608191ad020e50277d8a3ba0850  ilmbase-2.1.0.tar.gz"
+sha256sums="1e841ad89c5761940b07a125e6909ad22fe9fe0f99eadef45e0cca4efc6819b4  ilmbase-2.1.0.tar.gz"
+sha512sums="2d168accc4f4fb8256fa7a4488c1a930bf1f088bda93f6d8272d3ce15219716d3e85dfa1e85dc2766bce10438e8fb38607a232a145c00d5d742cbde6604df342  ilmbase-2.1.0.tar.gz"
-- 
2.0.0



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---